VERSION 5.00
Begin VB.UserControl ctlLVExportManager 
   ClientHeight    =   315
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   645
   ScaleHeight     =   315
   ScaleWidth      =   645
   Begin VB.CommandButton btnExport 
      Height          =   315
      Left            =   315
      Picture         =   "ctlLVExportManager.ctx":0000
      Style           =   1  'Grafisch
      TabIndex        =   1
      ToolTipText     =   "Liste exportieren"
      Top             =   0
      Width           =   315
   End
   Begin VB.CommandButton btnPrint 
      Height          =   315
      Left            =   0
      Picture         =   "ctlLVExportManager.ctx":014A
      Style           =   1  'Grafisch
      TabIndex        =   0
      ToolTipText     =   "Liste drucken"
      Top             =   0
      Width           =   315
   End
   Begin VB.Menu mnPopupExport 
      Caption         =   "PopupExport"
      Visible         =   0   'False
      Begin VB.Menu mnPopupExportTextfile 
         Caption         =   "In &Textdatei exportieren..."
      End
      Begin VB.Menu mnPopupExportExcel 
         Caption         =   "Nach Microsoft E&xcel exportieren..."
      End
   End
End
Attribute VB_Name = "ctlLVExportManager"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'==============================================================================
'Enthlt das Steuerelement, dass gebunden an ein ListView, diesem ermglicht
'sich zu Drucken und zu Exportieren.
'
'Scope:     Applikations-ffentlich erstellbar.
'==============================================================================

Option Explicit

Dim BoundListView As ListView 'gebundenes ListView
Dim mTitle As String 'Titel

'==============================================================================
'Zweck:     Bindet ein ListView an diesen Druck/Export-Manager. Dessen Inhalt
'           wird beim Drucken bzw. Exportieren verwendet.
'
'Parameter: - ListView      Das zu bindende ListView.
'==============================================================================
Public Sub BindToListView(ListView As Object)
    Set BoundListView = ListView
End Sub

'Setzt den ListView-Titel
Property Let Title(ByVal value As String)
    mTitle = value
End Property

Private Sub btnExport_Click()
    'Popup-Men fr den Export anzeigen.
    PopupMenu mnPopupExport, , btnExport.Left, btnExport.Top + btnExport.Height
End Sub

Private Sub btnPrint_Click()
    'Drucken gewhlt, Optionsdialog anzeigen.
    With New frmLVPrintOptions
        .ShowDlg BoundListView, mTitle
    End With
End Sub

Private Sub mnPopupExportExcel_Click()
    'Exportieren nach Excel gewhlt, Optionsdialog anzeigen.
    With New frmLVExcelExportOptions
        .ShowDlg BoundListView, mTitle
    End With
End Sub

Private Sub mnPopupExportTextfile_Click()
    'Exportieren in Textdatei gewhlt, Optionsdialog anzeigen.
    With New frmLVTextfileExportOptions
        .ShowDlg BoundListView, mTitle
    End With
End Sub

Private Sub UserControl_Resize()
    Width = btnExport.Left + btnExport.Width
    Height = btnPrint.Height
End Sub
